@import "bootstrap-material-design.min.css";
@import "material-icons.min.css";
@import "jquery.mCustomScrollbar.min.css";
@import "dataTables.bootstrap4.min.css";
@import "responsive.bootstrap4.min.css";
@import "mobiscroll.jquery.min.css";
html,
body {
	font-size: 14px;
}
body {
    font-weight: 400;
    font-size: 1rem;
    line-height: 1.8;
    color: rgba(0, 0, 0, 0.7);
    background: #dedede;
}
.background-full-wrapper{
    background: url(../../images/portal/body-bg.jpg) no-repeat;
    background-size: cover;
    background-attachment: fixed;
    background-position: center center;
    position: relative;
    width: 100%;	
}

.background-full-wrapper:before {
	content: "";
	position: fixed;
	left: 0;
	right: 0;
	top: 0;
	bottom: 0;
	width: 100%;
	height: 100vh;
	background: rgba(0, 0, 0, 0.8);
}

a,
a:hover,
a:focus {
	color: inherit;
	text-decoration: none;
	transition: all 0.3s;
}

ul,
li {
	margin: 0px;
	padding: 0px;
	list-style: none;
}
.btn{
    border-radius: 0 !important;
}
.astersik{
    color:#ff0000;
}
a{
    color: #00bfe0;
}
.blue-text{
    color: #00bfe0 !important;
}

.button-blue {
    background: #2dc5e4;
    color: #fff;
    padding: 5px;
    border-radius: 15px;
}

.checkbox label,
.radio label,
label {
	font-size: 0.875rem;
}

.bmd-form-group.bmd-form-group-sm .checkbox label,
.bmd-form-group.bmd-form-group-sm .radio label,
.bmd-form-group.bmd-form-group-sm label {
	font-size: 1rem;
	margin: .1375rem 0;
}
.switch label .bmd-switch-track{
    background-image: linear-gradient(90deg,rgba(0,0,0,.26) 0,rgba(0,0,0,.26) 50%,#00bfe0 0,#00bfe0);
}
.switch label input:checked+.bmd-switch-track:after{
    background-color: #039be0;
}
.custom-file-control, .form-control, input::placeholder, label {
    line-height: 1.25;
}
.bmd-form-group .custom-file-control, .bmd-form-group .form-control, .bmd-form-group input::placeholder, .bmd-form-group label {
    line-height: 1.25;
}
.custom-file-control,
.form-control,
.is-focused .custom-file-control,
.is-focused .form-control {
	background-image: linear-gradient(0deg, #00bfe0 2px, rgba(0, 150, 136, 0) 0), linear-gradient(0deg, rgba(0, 0, 0, .26) 1px, transparent 0);
}
[class*=" bmd-label"],
[class^=bmd-label],
.bmd-form-group .bmd-label-static,
.bmd-form-group.is-filled .bmd-label-floating,
.bmd-form-group .is-filled .bmd-label-floating,
.bmd-form-group.is-focused .bmd-label-floating,
.bmd-form-group .is-focused .bmd-label-floating {
	color: rgba(0, 0, 0, 0.5);
	font-size: .875rem;
	font-weight: 600;
}

.is-focused [class*=" bmd-label"],
.is-focused [class^=bmd-label] {
	color: #00bfe0;
}

.bmd-btn-fab.btn-info.custom-file-control:before,
.btn-group-raised .btn-info.custom-file-control:before,
.btn-group-raised .btn.btn-info,
.btn-raised.btn-info.custom-file-control:before,
.btn.bmd-btn-fab.btn-info,
.btn.btn-raised.btn-info {
	color: #fff;
	background-color: #00bfe0;
	border-color: #00bfe0;
}

select.custom-file-control:not([size]):not([multiple]),
select.form-control:not([size]):not([multiple]) {
	height: 31.25px;
	padding: .4375rem 0;
}

.custom-file-control:disabled,
.form-control:disabled,
.form-control[readonly],
[readonly].custom-file-control {
	background-color: #ffffff;
}

.form-control:disabled {
    cursor: not-allowed;
}

.custom-file-control:read-only,
.form-control:read-only {
	background-image: linear-gradient(0deg, #00bfe0 2px, rgba(0, 150, 136, 0) 0), linear-gradient(0deg, rgba(0, 0, 0, .26) 1px, transparent 0);
}
label.control-label {
    margin-bottom: 1rem;
    margin-top: 1.5rem;
}
.bold{
    font-weight: 600;
}

.tooltip>.tooltip-inner {
	background-color: #000;
}

.tooltip.bs-tooltip-right .arrow::before {
	border-right-color: #000;
}

.tooltip.bs-tooltip-bottom .arrow::before {
	border-bottom-color: #000;
}

.tooltip.bs-tooltip-top .arrow::before {
	border-top-color: #000;
}

.tooltip.bs-tooltip-left .arrow::before {
	border-left-color: #000;
}


.bmd-form-group>input:-internal-autofill-previewed ~ label.bmd-label-floating,
.bmd-form-group>input:-internal-autofill-selected ~ label.bmd-label-floating,
input:-webkit-autofill ~ label {
	top: 1rem;
	left: 0;
	font-size: .75rem;
}


/* --------------------------------------------------- LOGIN STYLE ----------------------------------------------------- */

.login-wrapper {
	border-radius: 0.125rem;
	width: 90%;
	margin: 20px auto;
	max-width: 600px;
}

.login-wrapper .login-header {
	padding-bottom: 2rem;
	text-align: center;
}

.card {
	font-size: 1rem;
}

.login-wrapper .card-header {
	border: none;
	text-align: left;
	padding: 0;
	background: #03c5e4;
	color: #fff;
	padding: 1rem 1.5rem;
	border-radius: 0.125rem 0.125rem 0 0;
}

.login-wrapper .card-header h3 {
	font-weight: normal;
	padding: 0;
	margin: 0;
}
.login-wrapper .card-body{
    padding:1rem 2rem;
}
.bmd-form-group {
    position: relative;
}
.login-wrapper .modal-footer{
    justify-content: center;
}
.form-group .form-control-eye{
	position: absolute;
    top: 22px;
    right: 0;
    z-index: 2;
    display: block;
    width: 34px;
    height: 34px;
    line-height: 34px;
    text-align: center;
	cursor: pointer;
    pointer-events: all;
}
.form-group .mdi-eye-off{
	position: absolute;
    top: 22px;
    right: 0;
	opacity:.5;
    z-index: 2;
    display: block;
    width: 34px;
    height: 34px;
    line-height: 34px;
    text-align: center;
	cursor: pointer;
    pointer-events: all;
}
input::-ms-clear, input::-ms-reveal {
    display: none;
}
/* --------------------------------------------------- LOGIN STYLE END ----------------------------------------------------- */

/* --------------------------------------------------- SIDEBAR STYLE ----------------------------------------------------- */
#sidebar {
    width: 250px;
    position: fixed;
    top: 0;
    left: -250px;
    height: calc(100vh - 4rem);
    z-index: 999;
    background: #fff;
    color: #fff;
    transition: all 0.3s;
    overflow-y: auto;
    box-shadow: 3px 3px 3px rgba(0, 0, 0, 0.2);
    margin-top: 4rem;
}
#sidebar.active {
    left: 0;
}
.overlay {
    display: none;
    position: fixed;
    width: 100vw;
    height: 100vh;
    background: rgba(0, 0, 0, 0.7);
    z-index: 998;
    opacity: 0;
    transition: all 0.5s ease-in-out;
    top:0;
}
.overlay.active {
    display: block;
    opacity: 1;
}
#sidebar ul.components {
    padding: 20px 0;
    border-bottom: 1px solid #47748b;
}
#sidebar ul p {
    color: #00bfe0;
    padding: 10px;
}
#sidebar ul li a {
    padding: 10px;
    font-size: 1.1em;
    display: block;
    color: rgba(0, 0, 0, 0.7);
}
#sidebar ul li a:hover {
    color: #fff;
    background: #b2edf7;
}
#sidebar ul li.active>a {
    color: #fff;
    background: #2dc4e2;
}

#sidebar ul li.active-green>a {
    color: #fff;
    background: #90de97;
}
a[data-toggle="collapse"] {
    position: relative;
}
#sidebar .dropdown-toggle::after {
    display: block;
    position: absolute;
    top: 50%;
    right: 0.5rem;
    transform: translateY(-50%);
}
#sidebar ul li a[aria-expanded="true"]{
    background: rgba(0,191,224,0.8);
}
#sidebar ul ul a {
    font-size: 0.9em !important;
    padding-left: 30px !important;
    color: #fff;
    background: rgba(0,191,224,0.8);
}
#sidebar ul li a i{
    font-size: 1.5rem;
    vertical-align: middle;
    width: 1.5rem;
}
#sidebar.active  ul li a span{
    display: inline-block;
    vertical-align: middle;
    margin-left: 0.5rem;
}

@media (min-width: 768px) {
    #sidebar {
        min-width: 60px;
        max-width: 60px;
        text-align: center;
        left: 0;
        position: relative;
        margin-top: 4rem;
    }
    #sidebar .logo-md{
        display: none;
    }
    #sidebar ul li a{
        text-align: center;
    }
    #sidebar ul li a span{
        display: none;
    }
    #sidebar ul ul a {
        padding-left: 10px !important;
    }
    #sidebar.active {
        left: 0;
        width: 250px;
        max-width: 250px;
    }
    #sidebar.active  ul li a{
        text-align: left;
    }
    #sidebar.active ul ul a {
        padding-left: 30px !important;
    }

    .overlay.active{
        display: none;
    }

}

/* --------------------------------------------------- ANIMATED BACKGROUND STYLE ----------------------------------------------------- */

.sec-lines {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 1;
}
.line-item {
    float: left;
    width: 20%;
    height: 100%;
    box-sizing: border-box;
    border-right: 1px solid rgba(255, 255, 255, 0.2);
    position: relative;
}
.line-item:first-child:before {
    content: '';
    position: absolute;
    top: 0;
    right: -12px;
    width: 25px;
    height: 25px;
    background: #00bfe0;
    background: url(../../images/portal/frontal-taxi-cab.svg);
    animation: scroll3 8s ease-out infinite;
}
.line-item:nth-child(4):before {
    content: '';
    position: absolute;
    bottom: 0;
    right: -12px;
    width: 25px;
    height: 25px;
    background: #00bfe0;
    background: url(../../images/portal/frontal-taxi-cab.svg);
    animation: scroll2 6s ease-out infinite;
}
@keyframes scroll3 {
    0% {
        opacity: 1;
        top: 0
    }
    50% {
        top: 50%
    }
    100% {
        top: calc( 100% - 25px);
        opacity: 0.5;
    }
}
@keyframes scroll2 {
    0% {
        opacity: 1;
        bottom: 0
    }
    50% {
        bottom: 50%
    }
    100% {
        bottom: calc( 100% - 25px);
        opacity: 0.5;
    }
}
.line-item:first-child {
    border-left: 1px solid rgba(153, 153, 153, 0.09);
}
/* --------------------------------------------------- ANIMATED BACKGROUND STYLE END ----------------------------------------------------- */
/* --------------------------------------------------- CONTENT STYLE ----------------------------------------------------- */
#content {
    width: 100%;
    min-height: calc(100vh - 4rem);
    transition: all 0.3s;
    overflow: auto;
    margin-top: 4rem;
    position: relative;
}
.wrapper {
    display: flex;
    align-items: stretch;
    position: relative;
    height: 100vh;
    overflow: auto;
}
.login-main-wrapper{
	align-items: center;
	height: auto;
	min-height: 100vh;
}
.navbar {
	z-index: 999;
	height: 4rem;
}
.navbar {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -webkit-flex-direction: row;
    -ms-flex-direction: row;
    flex-direction: row;
    -webkit-flex-wrap: nowrap;
    -ms-flex-wrap: nowrap;
    flex-wrap: nowrap;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
}
.navbar .navbar-collapse {
    display: -webkit-box!important;
    display: -webkit-flex!important;
    display: -ms-flexbox!important;
    display: flex!important;
    width: 100%;
}
.nav-logo img{
    width:200px;
}
.toggle-menu {
    background: transparent;
    border: 1px solid #00bfe0;
    color: #00bfe0;
    width: 35px;
    height: 35px;
    font-size: 1.25rem;
    line-height: 35px;
    text-align: center;
    cursor: pointer;
    padding: 0;
}
.point-table{
    border-bottom: 1px solid rgba(0,0,0,.06);
    margin:0;
}
.point-table tr td{
    border:none;
    line-height: 1.25rem;
    padding: 1.25rem 0.5rem;
}
.point-table tr td:first-child{
    border-right: 1px solid rgba(0,0,0,.06);
}
.user-avatar{
    width: 48px;
    height: 48px;
    border-radius: 50%;
    border:1px solid #dedede;
    overflow: hidden;
    background: #dedede;
    display: inline-block;
    vertical-align: middle;
}
.user-avatar img{
    width: 100%;
    height: 100%;
}
.user-profile .dropdown-menu-right{
    width:250px;
    left:inherit;
    right:0;
    padding: 0;
}
.user-profile .dropdown-toggle{
    padding:0px 15px;
}
.user-profile .dropdown-toggle::after{
    right:0;
}
.full-height {
    height: 100%;
}
#map-canvas {
    height: calc(100vh  - 8rem);
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    z-index: 0;
}
.search-input-group{
    width:80%;
    margin:70px auto 0px;
}
.favorites-input-group {
    width: 90% !important;
    margin: 0px auto 0px;
}
.search-input-group .input-group{
    background: #e4e4e4;
    border-radius: 3px;
    height: 4.5rem;
    box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.2);
}
.search-input-group .input-group + .input-group{
    margin-top:-5px;
}
.search-input-group .input-group.focused{
    background: rgba(255,255,255,1);
    z-index: 1;
}

.search-input-group .input-group-prepend,
.search-input-group .input-group-append {
	min-width: 50px;
	padding: 0px 20px;
	opacity: 0.6;
}
.input-group>.form-group {
    position: relative;
    flex: 1 1 auto;
    width: 1%;
    margin-bottom: 0;
}
.search-input-group .input-group-text{
    align-items: center;
    justify-content: center;
    width:100%;
    color:#000;
    cursor: pointer;
}
.search-input-group .form-control{
    border:none;
    background: transparent;
	font-size: 1.25rem;
}
.search-input-group .form-group{
    position: relative;
}
.search-input-group .form-group .form-control, .address.form-group .form-control{
    padding-right: 24px;
    width: 100%;
    box-sizing: border-box;
  }
  .search-input-group .clear-text, .address .clear-text, .search-box .clear-text{
    display: none;
    position: absolute;
    right: 0;
    top: 1.65rem;
    padding: 0;
    font-style: normal;
    font-size: 1.2em;
    user-select: none;
    cursor: pointer;
    color: #bbb;
    font-size: 1.5rem;
  }

.search-box .clear-search{
    display: block;
    position: absolute;
    right: 0;
    top: 1.65rem;
    padding: 0;
    font-style: normal;
    font-size: 1.2em;
    user-select: none;
    cursor: pointer;
    color: #bbb;
    font-size: 1.5rem;
}

  .input-group input::-ms-clear, .form-group input::-ms-clear {  /* Remove IE default X */
    display: none;
  }
.textarea-auto-size{
	overflow: hidden; /*overflow is set to auto at max height using JS */
	min-height:40px;
	max-height:164px;
	height: auto;
	resize: none;
        overflow-y: auto;
}
.additional-element{
	margin-top:-1rem;
}
.additional-element label{
	font-size: 0.875rem;
}
.inner-wrapper{
    background: #fff;
}
.content-header{
    background: #fff;
    /* position: fixed; */
    width: 100%;
    margin: 1rem 0;
    padding: 0.25rem 1rem;
    box-shadow: 0px 0px 5px rgba(0,0,0,0.5);
}

.content-header h2 {
    margin: 0;
    line-height: 30px;
    font-size: 1.5rem;
}
.datepicker{
    position: relative;
    width: 120px !important;
    margin-left: auto;
}
.datepicker input{
    padding-right: 25px;
    padding-left: 10px;
}
.datepicker .icon{
    position: absolute;
    right: 0px;
    top: 3px;
    z-index: 1;
    font-size: 1.45rem;
    color: #bbb;
    line-height: 2.5rem;
}
.search-box .form-control{
    border: 1px solid #dedede;
    border-radius: 20px;
    background: #fbfbfb;
    padding: 5px 10px 5px 35px;
    background-image: none !important;
}
.search-box{
    position: relative;
    padding: 0;
    margin:0px;
}
.search-box .icon{
    position: absolute;
    left: 10px;
    top: 5px;
    z-index: 1;
    font-size: 1.45rem;
    color: #bbb;
    line-height: 2.5rem;
}
.search-box .clear-text, .search-box .clear-search{
    padding: 7px;
    font-size: 1rem;
    top: 0;
}
.content-body{
    background: #fff;
    padding: 1.5rem;
    height: calc(100vh - 6rem - 60px);
    overflow: auto;
}
.inner-wrapper .card{
    box-shadow: none;
}
.circle {
    border: 2px solid #ccc;
    border-radius: 50%;
    display: block;
    margin: 0 auto;
    height: 13px;
    width: 13px;
    position: relative;
}
.circle.green {
    border: 2px solid #2cae6d;
}
.circle.red {
    border: 2px solid #ff0000;
}
.circle.black {
    border: 2px solid #000000;
}
.mdi-favorite.green, .mdi-location-on.green { color: #2cae6d; }
.mdi-favorite.red, .mdi-location-on.red { color: #ff0000; }
.book-now-btn{
    position: fixed;
    top: calc(100% - 4rem);
    width: 100%;
}
.book-now-btn .btn{
    border-radius: 0;
    margin:0px;
    height: 4rem;
    margin:0px !important;
}

.book-now-btn-pop { top: 15px !important; }

.modal {
    overflow-x: hidden;
    overflow-y: auto;
}
.modal-backdrop + .modal-backdrop {
    z-index: 1057;
    opacity: 0.6;
}

.modal-title{
    color:#03a9f4;
}
.add-stop{
    position: absolute;
    font-size: .8rem;
    font-weight: 400;
    right: 0;
}
.booking-form .form-group .input-group-append{
    position: absolute;
    right: 0;
    top: 20px;
    cursor: pointer;
}
.dtp > .dtp-content{
    max-height: inherit;
}
.modal-footer .book-now-btn{
    position: relative;
}
.list-group .list-group-item{
    border-bottom: 1px solid #dedede;
}

.content-wrapper{
    background: #fff;
}
.content-wrapper-header{
    padding:1.5rem;
    padding-bottom: 0;
}
.content-wrapper-body{
    padding:20px;
    max-height: calc(100vh - 3rem - 83px);
    overflow: auto;
}
.content-body-trip {
    max-height: calc(100vh - 6rem - 42px);
    margin: 0;
    padding: 0;
    overflow: auto;
    overflow-x: hidden;
    margin-right: -1rem;
    padding-right: 1rem;
}
.trip-card{
    min-height: 160px;
    padding: 1rem;
    margin-bottom: 1rem;
    background: #fff;
    border-bottom: 1px solid #dedede;
    box-shadow: 0px 0px 5px rgba(0,0,0,0.5);
    padding-bottom: 50px;
    position: relative;
}
.trip-card h4 {
	font-weight: 600;
	font-size: 1.375rem;
}
.trip-card .passenger-name, .trip-card .passenger-room{
    color:#000 !important;
}
.trip-card .text-muted{
    font-size: 0.875rem;
}
.trip-card .address{
    font-size: 0.95rem;
    padding: 0.25rem 0;
    line-height: 1.25rem;
}

.trip-card .status {
	color: #000;
	font-weight: 600;
	margin-bottom: 1rem;
}

.trip-card .action-btn {
     margin-top: 0;
     position: absolute;
     bottom: 6px;
 }
.trip-card  .driver-info{
    text-align: right;
}
.trip-card .route-map{
    width:250px;
}
.trip-card .route-map img{
    width:100%;
}
.load-more{
    background: #fff;
    text-align: center;
    overflow: hidden;
    height: 40px;
}
.load-more img{
    margin-top:-10px;
}
.modal-body .trip-card{
    border: none;
    box-shadow: none;
    margin:0;
    min-height:auto;
    padding: 1rem;
}
.modal-body .embed-responsive{
    max-height: 20rem;
}

.modal-body .trip-card .status{
    margin-bottom: 1rem;
}

.modal-content .modal-footer .btn,
.modal-content .modal-footer .custom-file-control:before {
	margin: 0;
}

.modal-content .modal-footer .btn,
.modal-content .modal-footer .custom-file-control:before {
	margin: 0 .25rem;
}
.modal-footer>:not(:first-child) {
    margin-left: .25rem;
}
.modal-footer>:not(:last-child) {
    margin-right: .25rem;
}

.modal-content .modal-header,
.modal-content .modal-body {
	padding: 0.5rem 1rem;
}

.comment-box{
    background: #f9f9f9;
    padding: 6px;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
}
.phone-call{
    display: inline-block;
    vertical-align: sub;
}
.phone-call .mdi{
    font-size:1.125rem;
}
/*Pagination theme*/

.pagination-container {
	background: #fff;
	margin-bottom: 1rem;
	padding: 0.5rem;
	margin: 0 -15px 0;
}

.page-link {
	color: #00bfe0;
}
.page-item.active .page-link {
    background-color: #00bfe0;
    border-color: #00bfe0;
}

.page-item:first-child .page-link,
.page-item:last-child .page-link {
	padding-right: 0.75rem;
	padding-left: 0.75rem;
}
.action-item ul{
    white-space: nowrap;
}
.action-item ul li{
    display: inline-block;
    position: relative;
}
.action-item ul li a{
    width: 1.5rem;
    height: 1.5rem;
    background: #00bfe0;
    color: #fff;
    display: block;
    border-radius: 2px;
    line-height: 1.5rem;
    text-align: center;
    margin:0px 0.115rem;
}
.action-item ul li a:hover{
    background: #039be0;
}

table.dataTable thead tr th,
table.dataTable tbody tr:first-child td {
	border-color: #00bfe0;
}

table.dataTable thead .sorting_asc:before,
table.dataTable thead .sorting_desc:after {
	opacity: 1;
	color: #00bfe0;
}

table.dataTable.dtr-inline.collapsed>tbody>tr[role="row"]>td:first-child:before,
table.dataTable.dtr-inline.collapsed>tbody>tr[role="row"]>th:first-child:before {
	background: #00bfe0;
}
table.dataTable>tbody>tr.child ul.dtr-details{
    width:100%;
}
table.dataTable>tbody>tr.child span.dtr-title{
    font-weight: 500;
}
.sub-heading{
    margin-top: 2rem;
    margin-bottom: 0;
    font-size: 1.125rem;
    background: rgb(232, 232, 232);
    padding: 0.5rem;
    font-weight: 600;
}
.accordian-group-panel .card{
    box-shadow: none;
}

.accordian-group-panel .card .card-header,
.accordian-group-panel .card .card-body {
	padding: 1rem 0;
}
.accordian-group-panel .card .card-header .btn{
    padding: 0;
    margin:0;
}
.transparent-card{
    box-shadow: none;
    border:none;
    background: transparent;
}
.transparent-card .card-body{
    padding: 0;
}
.transparent-card .nav-tabs{
    border-bottom: 1px solid #dedede;
}

.transparent-card .nav-tabs .nav-item.show .nav-link,
.transparent-card .nav-tabs .nav-link.active {
	border-color: #00bfe0;
}

.avatar-upload {
    position: relative;
    max-width: 192px;
    margin-bottom: 1rem;
}
.avatar-upload .avatar-edit {
    position: absolute;
    right: 12px;
    z-index: 1;
    top: 10px;
}
.avatar-upload .avatar-edit input {
    display: none;
}
.avatar-upload .avatar-edit input + label {
    display: inline-block;
    width: 34px;
    height: 34px;
    margin-bottom: 0;
    border-radius: 100%;
    background: rgba(0, 191, 224, 0.5);
    border: 1px solid transparent;
    box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.82);
    cursor: pointer;
    font-weight: normal;
    transition: all 0.2s ease-in-out;
    text-align: center;
    line-height: 34px;
    color: #fff;
    font-size: 1.5rem;
}
.avatar-upload .avatar-edit input + label:hover {
    background: rgba(0, 191, 224, 0.8);
}

.avatar-upload .avatar-preview {
    width: 192px;
    height: 192px;
    position: relative;
    border: 6px solid #F8F8F8;
    box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.1);
}
.avatar-upload .avatar-preview > div {
    width: 100%;
    height: 100%;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
  }
  .ap-ex-contentBottom{
      font-size: 1rem;
  }
.payment-list .list-group-item :first-child{
    margin-right: 0;
}
.payment-list .list-group-item{
    padding: 0.875rem;
}
.payment-list .list-group-item a{
    width: 100%;
    padding-right: 2rem;
    position: relative;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    color:rgba(0, 0, 0, 0.7);
}
.payment-list .list-group-item img{
    margin-right: 0.5rem !important;
    vertical-align: text-bottom;
    display: inline-block;
}
.payment-list .list-group-item.selected a:after{
    content: "\e876";
    font: normal normal normal 14px/1 "Material Design Icons";
    position: absolute;
    right: 0;
    background: #00bfe0;
    color: #fff;
    border-radius: 10px;
    width: 1.5rem;
    text-align: center;
    height: 15px;
    line-height: 15px;
}
form.booking-form{
	margin:0;
	position: relative;
}
/* This CSS file just define some default styles and loaders */
/* You don't need to include it if you're working with your custom overlay loader element */

.loading-overlay {
  display: table;
  opacity: 0.7;
  z-index: 9999 !important;
}

.loading-overlay-content {
  text-transform: uppercase;
  letter-spacing: 0.4em;
  font-size: 1.15em;
  font-weight: bold;
  text-align: center;
  display: table-cell;
  vertical-align: middle;
  position: relative;
  top: 250px;
}

.loading-overlay.loading-theme-light {
  background-color: #fff;
  color: #000;
}

.loading-overlay.loading-theme-dark {
  background-color: #000;
  color: #fff;
}
.typeahead.dropdown-menu{
    opacity: 1;
    transform: scale(1);
    transform-origin: initial;
    will-change: initial;
    transition: initial;
}
.mCS-minimal-dark.mCSB_scrollTools .mCSB_dragger .mCSB_dragger_bar, .mCS-minimal-dark.mCSB_scrollTools .mCSB_dragger .mCSB_dragger_onDrag .mCSB_dragger_bar, .mCS-minimal-dark.mCSB_scrollTools .mCSB_dragger:active .mCSB_dragger_bar {
    background-color: #000;
    background-color: #04c3e2;
    filter: "alpha(opacity=20)";
    -ms-filter: "alpha(opacity=20)";
}

/* Custom CSS added by Developer */
.error, .error-card{ color:#bb0000; font-size: 0.9375rem; }
.pac-container {
    z-index: 10000 !important;
    border-radius: 5px;
}
.directions-card-medium-large { display: none !important;}

.login-home { color:#FFFFFF; }
.mdi-comment { color: #00bfe0 !important; }
.go-btn{ padding:0 .300em !important; font-weight: normal !important; }
.trip-card .action_btn {
    margin-top: 0;
}
.favorites-container {
    background-color: #fff;
    position: absolute!important;
    z-index: 1000;
    border-top: 1px solid #d9d9d9;
    font-family: Arial,sans-serif;
    box-shadow: 0 2px 6px rgba(0,0,0,0.3);
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    overflow: hidden;
    z-index: 10000 !important;
    border-radius: 5px;
    width: inherit;
    margin: -3px;
}

.favorite-item {
    cursor: default;
    padding: 0 4px;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
    line-height: 40px;
    text-align: left;
    border-top: 1px solid #e6e6e6;
    font-size: 11px;
    color: #999;
    cursor: pointer;
}

.favorite-icon { top: 6px; }

.favorite-item-query {
    font-size: 13px;
    padding-right: 3px;
    color: #000;
}
.favorite-matched {
    font-weight: 700;
}
.close-address { cursor: pointer; }
/* Custom CSS added by Developer */
@media (min-width: 1200px) {
    #pickup_address_init, #drop_address_init {
        font-size: 1.25rem;
    }
}
@media (max-width: 1200px) {
	.trip-card .trip-id h4 small {
		display: block;
		margin-top: 0.5rem;
		font-size: 1rem;
	}
	.search-input-group .form-control{
        font-size: 1.125rem;
    }
}
@media (min-width: 991px) {
    .driver-tracking {
        flex-direction: row-reverse;
    }
}
@media (max-width: 991px) {
	.trip-card .route-map {
		width: 100%;
		margin: 0px -14px;
		width: calc(100% + 28px);
		background: #dedede;
	}
	.trip-card .route-map .embed-responsive {
		max-height: 15rem;
	}
    .modal-body .trip-card .driver-info {
        text-align: left;
        margin: 0 0 0.5rem 0;
    }
    .modal-body .trip-card .status {
        text-align: right;
        margin-bottom: 0;
    }
}
@media (max-width: 768px) {
	.login-wrapper {
		position: static;
		transform: none;
		margin: 2rem auto;
	}
	.login-wrapper .card-header,
	.login-wrapper .card-body {
		padding: 1rem;
	}
	.login-wrapper .modal-footer {
		padding: 0.5rem 1rem;
	}	
	.user-profile .user-name{
		display: none;
	}
	.form-elegant {
		margin-bottom: 4rem;
	}
	.search-input-group {
		width: 100%;
		margin-top: 3rem;
    }

    .favorites-input-group {
        width: 80% !important;
        margin: 0px auto 0px;
    }

    .search-input-group .input-group-prepend, .search-input-group .input-group-append {
        min-width: 35px;
        padding: 0px 10px;
        opacity: 0.6;
    }
	.trip-card .route-map .embed-responsive {
		max-height: 10rem;
	}
	.tooltip {
		display: none;
	}
	div.dataTables_wrapper div.dataTables_paginate ul.pagination {
		justify-content: center;
		margin-top: 0.5rem;
	}
	.h2,
	h2 {
		font-size: 1.5rem;
	}
}

@media (min-width: 576px) {
	#paymentModal .modal-dialog {
		max-width: 720px;
		margin: 1.75rem auto;
	}
}

@media (max-width: 576px) {
    html{
        font-size: 15px;
    }
    .modal-content .modal-header, .modal-content .modal-body {
        padding: 0.5rem 0.75rem;
    }
    .trip-card .driver-info {
        text-align: left;
        margin: 0 0 0.5rem 0;
    }
    .trip-card .status {
        text-align: right;
        margin-bottom: 0;
    }
    .modal-body .trip-card .status {
        margin-bottom: 0;
    }
	.trip-card .trip-id h4 {
		font-size: 1.25rem;
	}
	.trip-card .passenger-name h5 {
		font-size: 1.125rem;
	}
	.trip-card .driver-info .drive-name .user-avatar {
		float: left;
		/*margin-top: 0.5rem;*/
        width: 70px;
        height: 70px;
	}
	.trip-card .driver-info .phone-number {
		margin-left: 40px;
	}
	.nav-logo img {
		width: 150px;
	}
	.user-profile .user-name{
		display: none;
	}
	.user-profile .dropdown-toggle {
		padding: 0;
	}
	.user-profile .dropdown-toggle:after {
		display: none;
	}
	.profile-detail {
		text-align: center;
	}
	.profile-detail .avatar-upload {
		margin: 0px auto 1rem;
	}
	.profile-info-detail .nav-item {
		width: 50%;
		text-align: center;
	}
	.h2,
	h2 {
		font-size: 1.25rem;
    }
    
    .content-header{
        padding:0.5rem 1rem;
    }
    .content-header h2 {
        font-size: 1.25rem;
    }
	.content-header .input-group {
		width: 100%;
    }
    .content-header .btn{
        padding: 0.25rem 0.5rem;
    }
    .search-box{
        margin-top:0.5rem;
    }
    .datepicker {
        width: 100px !important;
    }
    .datepicker input {
        padding-left: 0px;
    }
}

/* ---------------------------------------------------
    MEDIAQUERIES
----------------------------------------------------- */
